@echo off

rem Script per l'avvio del client RMI per Hello-cc. 

rem Uso: hello-cc-client [indirizzo-del-server] 
rem Se l'indirizzo-del-server non  specificato, il default  localhost. 

if %1/==/ goto noparams

set SERVERHOST=%1%
goto startclient

:noparams 
set SERVERHOST=localhost

:startclient 

echo Starting hello-cc client - servizio su %SERVERHOST% 

set INTERFACEJAR=asw-830b-hello-cc.jar
set POLICY=client.policy
set CLIENTJAR=asw-830b-hello-cc-client.jar
set RMITIMEOUT=5000

java -cp .:%INTERFACEJAR% -Djava.rmi.server.codebase=file:%INTERFACEJAR% -Djava.security.policy=%POLICY% -Dsun.rmi.transport.tcp.responseTimeout=%RMITIMEOUT% -jar %CLIENTJAR% %SERVERHOST%