package asw.asw830.counter.impl;

import java.util.logging.Logger;

import asw.asw830.counter.Counter;
import asw.util.logging.AswLogger;

/** 
 * Implementazione del servizio counter. 
 */  
public class CounterImpl implements Counter {

	/* logger */ 
	private static Logger logger = AswLogger.getInstance().getLogger("asw.asw830.counter.impl"); 

	/* il contatore */ 
	private int counter;

	/* Crea un nuovo contatore, inizialmente nullo. */ 
	public CounterImpl() {
		super();
		counter = 0;
		logger.info("CounterImpl: CounterImpl(): counter --> " + counter); 
	}

	/* Incrementa e restituisce il valore del contatore. */ 
	public synchronized int getCounter() {
		counter++;
		logger.info("CounterImpl: counter.getCounter() --> " + counter); 
		return counter;
	}

}
