@echo off

rem Script per l'avvio del server RMI per Counter. 

rem Uso: counter-server [indirizzo-del-server] 
rem Se l'indirizzo-del-server non  specificato, il default  localhost. 

if %1/==/ goto noparams

set SERVERHOST=%1%
goto startserver

:noparams 
set SERVERHOST=localhost

:startserver 

echo Starting counter server su %SERVERHOST% 

set INTERFACEJAR=../asw-830c-counter-jar/asw-830c-counter.jar
set POLICY=server.policy
set SERVERJAR=asw-830c-counter-server.jar

java -cp .:%INTERFACEJAR% -Djava.rmi.server.codebase=file:%INTERFACEJAR% -Djava.rmi.server.hostname=%SERVERHOST% -Djava.security.policy=%POLICY% -jar %SERVERJAR% 
