package asw.asw830.sessioncounter.impl;

import asw.asw830.sessioncounter.*;
import asw.util.logging.AswLogger;

import java.rmi.*;
import java.util.logging.Logger;

/* 
 * Implementazione della factory per il session counter. 
 */
public class SessionCounterFactoryImpl implements SessionCounterFactory {
	
	/* logger */ 
	private Logger logger = AswLogger.getInstance().getLogger("asw.asw830.sessioncounter.server"); 

    public SessionCounterFactoryImpl() {
    	super();
    }

	/* Restituisce un nuovo contatore di sessione. */ 
    public synchronized SessionCounter getSessionCounter() throws RemoteException {
		logger.info("SessionCounterFactoryImpl: creating a new SessionCounter..."); 
		SessionCounterImpl sessionCounter = new SessionCounterImpl();
		return sessionCounter; 
		/* essendo un tipo remoto, restituisce un riferimento remoto */

//		SessionCounterInterface stub =
//			(SessionCounterInterface) UnicastRemoteObject.exportObject(sessionCounter, 0);
//		return stub; 
    }

}
