#!/bin/bash

# Script per l'avvio del server RMI per Session-counter. 

# Uso: session-counter-server [indirizzo-del-server] 
# Se l'indirizzo-del-server non  specificato, il default  localhost. 

if [ $# -gt 0 ] 
then SERVERHOST=$1
else SERVERHOST="localhost"
fi 

echo Starting session-counter server su $SERVERHOST

INTERFACEJAR=${PWD}/asw-830d-session-counter.jar
POLICY=server.policy
SERVERJAR=asw-830d-session-counter-server.jar

java -cp .:$INTERFACEJAR -Djava.rmi.server.codebase=file:$INTERFACEJAR -Djava.rmi.server.hostname=$SERVERHOST -Djava.security.policy=$POLICY -jar $SERVERJAR



