#!/bin/bash

# Script per l'avvio del server RMI per Hello-cc. 

# Uso: hello-cc-server [indirizzo-del-server] 
# Se l'indirizzo-del-server non  specificato, il default  localhost. 

if [ $# -gt 0 ] 
then SERVERHOST=$1
else SERVERHOST="localhost"
fi 

echo Starting hello-cc server su $SERVERHOST

INTERFACEJAR=${PWD}/asw-830b-hello-cc.jar
POLICY=server.policy
SERVERJAR=asw-830b-hello-cc-server.jar

java -cp .:$INTERFACEJAR -Djava.rmi.server.codebase=file:$INTERFACEJAR -Djava.rmi.server.hostname=$SERVERHOST -Djava.security.policy=$POLICY -jar $SERVERJAR



