#!/bin/bash

# Script per l'avvio del client RMI per Session-counter. 

# Uso: session-counter-client [indirizzo-del-server] 
# Se l'indirizzo-del-server non  specificato, il default  localhost. 

if [ $# -gt 0 ] 
then SERVERHOST=$1
else SERVERHOST="localhost"
fi 

echo Starting session-counter client [servizio su ${SERVERHOST}]

INTERFACEJAR=${PWD}/asw-830d-session-counter.jar
POLICY=client.policy
CLIENTJAR=asw-830d-session-counter-client.jar
RMITIMEOUT=5000

java -cp .:$INTERFACEJAR -Djava.rmi.server.codebase=file:$INTERFACEJAR -Djava.security.policy=$POLICY -Dsun.rmi.transport.tcp.responseTimeout=$RMITIMEOUT -jar $CLIENTJAR $SERVERHOST

