package asw.asw830.sessioncounter;

import java.rmi.*; 

/** 
 * Interfaccia del (session) counter.
 */ 
public interface SessionCounter extends Remote {

	/* Incrementa e restituisce il valore del contatore di sessione. */ 
	public int getCounter() throws RemoteException;

	/* Restituisce l'id del contatore (solo per il debugging). */ 
	public int getId() throws RemoteException;
	
}
